Did Mod_lsapi supports with CloudLinux and LiteSpeed ?

Operating System & Version
CloudLinux 7.7 kvm
cPanel & WHM Version
86.0.18

piyushmaheswari

Well-Known Member
Apr 18, 2020
74
2
8
India
cPanel Access Level
Root Administrator
Hello Buddies , in my server , CloudLinux and LiteSpeed are Installed , did I need to install Mod_lsapi ?
Will it help me to speed up and fast websites hosted on my server ?
Please explain and give your suggestion.
 

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,293
1,279
313
Houston
  • Like
Reactions: piyushmaheswari

vacancy

Well-Known Member
Sep 20, 2012
523
203
93
Turkey
cPanel Access Level
Root Administrator
Thanks for the quick answer - So if I set CGI or SUPHP or LSAPI it will not used?
Also my External Apps are empty so You are sure all things work smooth?
Yes right, handler selections are disabled when litespeed is active because litespeed uses its own lsapi handler.

It is not a problem if the external app section is empty, but if you want to make version-specific settings, you can create these fields. If there is no external app definition, the default settings in the PHP tab are valid.
 
  • Like
Reactions: cPRex

mo80

Member
Jan 26, 2022
8
1
3
US
cPanel Access Level
Root Administrator
Yes right, handler selections are disabled when litespeed is active because litespeed uses its own lsapi handler.

It is not a problem if the external app section is empty, but if you want to make version-specific settings, you can create these fields. If there is no external app definition, the default settings in the PHP tab are valid.
Thanks for the answers :) and If I don't have LiteSpeed and only cloudlinux then I should also consider mod_lsapi and use lsapi as handler because its fast?
 

vacancy

Well-Known Member
Sep 20, 2012
523
203
93
Turkey
cPanel Access Level
Root Administrator
Thanks for the answers :) and If I don't have LiteSpeed and only cloudlinux then I should also consider mod_lsapi and use lsapi as handler because its fast?
If you are not using Litespeed, I would definitely recommend using mod_lsapi.

If you have cloudlinux mod_lsapi will work with pro features, this will make mod_lsapi work with more advanced features.
 
  • Like
Reactions: cPRex

mo80

Member
Jan 26, 2022
8
1
3
US
cPanel Access Level
Root Administrator